<div class="row">
	<!--proveedor lista-->
	<div class="col-sm-5">
		<div class="ibox">
			<div class="ibox-content">
				<!--Tools-->
				<div class="input-group">
					<div class="col-sm-5">
						<button type="button" id="proveedores-nuevo-btn" class="btn btn btn-primary"> <i class="fa fa-plus"></i> Nuevo proveedor</button>
					</div>
					<div class="col-sm-7">
						<input type="text" id="proveedores-search-str" placeholder="Buscar proveedor" class="input form-control">
					</div>
				</div>
				<!--List-->
				<div class="clients-list" id="proveedor-lista-wrapper">
					<div class="table-responsive">
						<table class="table table-striped table-hover" id="proveedores-lista-table">
							<tbody>
								<tr class="tr-loader">
									<td colspan="4"></td>
								</tr>
								<!--<tr>
									<td class="client-avatar">
										<img alt="image" src="<?php echo base_url()?>assets/img/temp/logodobleclickcopia.png">
									</td>
									<td>
										<h4>Doble Click</h4>
										<small>Venta de maquinaria y equipo de oficina y sus componentes incluye software</small>
									</td>
									<td class="contact-type"><i class="fa fa-phone"> </i></td>
									<td> 7908-7100</td>
								</tr>-->								
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!--proveedor detalles-->
	<div class="col-sm-7">
		<div class="ibox">
			<div class="ibox-content">
				<!--<span class="m-r-sm text-muted welcome-message">Seleccione un proveedor para ver su informaci&oacute;n</span>-->
				<div id="proveedor-detalles-wrapper" class="p-sm">
					<div id="proveedores-detalles-info-wrapper" class="lista-detalles-info-wrapper">
						<i class="fa fa-chevron-circle-left fa-5x"></i>
						<small>Seleccione un proveedor de la lista para ver detalles.</small>
					</div>
					
					<div id="proveedores-detalles-ajax-wrapper">
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<script>
$(function(){
	$("#proveedores-nuevo-btn").click(function(){
		Custombox.open({
			target:'<?php echo base_url("proveedores/nuevo");?>?mode=create', 
			effect: 'fadein',
			overlayClose:false,
			complete:function(){
				$(".modal-body input:text").first().focus();
			}
		});
	});
	
	proveedores.setUrl('<?php echo base_url();?>');
	proveedores.cargar(true,0);
	/*Scrolls*/
	proveedores.setUrl('<?php echo base_url();?>');
	$('#proveedor-lista-wrapper').slimScroll({
        height: '500px'
	});
	$('#proveedor-detalles-wrapper').slimScroll({
        height: '530px'
	});
	/*Load more*/
	$("#proveedor-lista-wrapper").slimScroll().bind('slimscroll', function(e, position){
		if(position==='bottom'){
			proveedores.cargar(false,$("#proveedores-lista-table tr").size()-1);
		}
	});
	/*Search*/
	$("#proveedores-search-str").keyup(function(){
		proveedores.cargar(true,0);
	});  
	/*load details*/
	$("#proveedores-lista-table").on("click","tbody tr:not(.tr-loader)",function(){
		proveedores.detalles(($(this).attr('id').split('-')[1]));
	});
});
</script>